## groovy.util
Interface ObjectGraphBuilder.ChildPropertySetter

All Known Implementing Classes:
  ObjectGraphBuilder.DefaultChildPropertySetter

Enclosing class:
  ObjectGraphBuilder

    public static interface ObjectGraphBuilder.ChildPropertySetter

Strategy for setting a child node on its parent.
Useful for handling Lists/Arrays vs normal properties.

Method Summary
`void` `setChild(Object parent, Object child, String parentName, String propertyName)`

Method Detail

### setChild

    void setChild(Object parent,
                  Object child,
                  String parentName,
                  String propertyName)

  Parameters:
    `parent` - the parent's node value
    `child` - the child's node value
    `parentName` - the name of the parent node
    `propertyName` - the resolved relation name of the child

Copyright © 2003-2008 The Codehaus. All rights reserved.